Bug 550102 - Review Request: ghc-mtl - Haskell Monad Transformer Library
Review Request: ghc-mtl - Haskell Monad Transformer Library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-23 10:18 EST by Jens Petersen
Modified: 2013-11-13 07:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-11 07:38:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-12-23 10:18:23 EST
Spec URL: http://petersen.fedorapeople.org/ghc-mtl/ghc-mtl.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-mtl/ghc-mtl-1.1.0.2-1.fc12.src.rpm
Description: Haskell Monad Transformer Library

A standard library part of haskell-platform.

This package is needed for ghc-6.12 to build a bunch of packages
already in fedora including ghc-gtk2hs, ghc-uniplate, happy
xmonad, and haskell-platform of course.
Comment 2 Jens Petersen 2010-01-10 10:40:59 EST
Spec URL: http://petersen.fedorapeople.org/ghc-mtl/ghc-mtl.spec
SRPM URL:
http://petersen.fedorapeople.org/ghc-mtl/ghc-mtl-1.1.0.2-2.fc12.src.rpm


* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 1.1.0.2-2
- update to ghc-rpm-macros-0.5.1: use ghc_lib_package
- drop bcond for doc and prof
- add comment about haskell-platform
Comment 3 Rakesh Pandit 2010-01-10 12:03:29 EST
[x] Build - http://koji.fedoraproject.org/koji/taskinfo?taskID=1912264 Fine
[x] rpmlint

/tmp/gach7bjBZv/ghc-mtl.spec: W: no-cleaning-of-buildroot %install
/tmp/gach7bjBZv/ghc-mtl.spec: W: no-buildroot-tag

Ignore

ghc-mtl-devel.x86_64: W: no-documentation

Ignore

ghc-mtl.x86_64: W: unstripped-binary-or-object /usr/lib64/ghc-6.12.1/mtl-1.1.0.2/libHSmtl-1.1.0.2-ghc6.12.1.so
ghc-mtl.x86_64: W: executable-stack /usr/lib64/ghc-6.12.1/mtl-1.1.0.2/libHSmtl-1.1.0.2-ghc6.12.1.so

Ignore

ghc-mtl.src: W: macro-in-%description %ghc_lib_package
ghc-mtl.src: W: no-cleaning-of-buildroot %install
ghc-mtl.src: W: no-buildroot-tag

Ignore

ghc-mtl-prof.x86_64: E: devel-dependency ghc-mtl-devel
ghc-mtl-prof.x86_64: W: no-documentation
ghc-mtl-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.1/mtl-1.1.0.2/libHSmtl-1.1.0.2_p.a

Ignore


[x] name fine
[x] URL fine
[x] source ok 883deca3cdf8052173c995b741bdedccc3c91440 (sha1sum)
[x] spec name fine
[x] license ok (copy present) and source has marking
[x] source tree ok (no binaries present)
[x] archs - fine
[x] spec file legible and in american english
[x] BR's ok
[x] %files ok
[x] folders owned - ok
/usr/share/doc/ghc-mtl-1.1.0.2
/usr/lib/ghc-6.12.1/mtl-1.1.0.2
[x] source builds fine on fedora ghc archs
[x] no bundled dependencies
[x] %clean section ok
[x] filenames - ok (valid)
[x] profiling ok
[x] lib goes to %{_libdir}/ghc-%{ghc_version}/%{pkg_name}-%{version}
[x] new macros

APPROVED
Comment 4 Jens Petersen 2010-01-10 19:45:57 EST
Thanks Rakesh - very helpful. :)


New Package CVS Request
=======================
Package Name: ghc-mtl
Short Description: Haskell Monad Transformer Library
Owners: petersen
Branches: devel
InitialCC: haskell-sig
Comment 5 Jens Petersen 2010-01-11 07:26:31 EST
cvs admin done
Comment 6 Jens Petersen 2010-01-11 07:38:55 EST
Package imported and built.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1913699
Comment 7 Jens Petersen 2010-09-29 01:28:24 EDT
Package Change Request
======================
Package Name: ghc-mtl
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 8 Kevin Fenzi 2010-09-29 14:40:46 EDT
Git done (by process-git-requests).
Comment 9 Jens Petersen 2013-11-13 00:28:47 EST
Package Change Request
======================
Package Name: ghc-mtl
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 10 Jon Ciesla 2013-11-13 07:59:55 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.